Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
DRMEncryptData Class Reference
Inheritance diagram for DRMEncryptData:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (is_encrypt_metadata, sub_filter, cipher, key_length, is_owner, user_permissions)
| Constructor, with parameters. More...
| Set (is_encrypt_metadata, sub_filter, cipher, key_length, is_owner, user_permissions)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| cipher
| Cipher type. Please refer to values starting from SecurityHandler.e_CipherRC4 and this should be one of these values except SecurityHandler.e_CipherNone.
| is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| is_owner
| A boolean value to decide whether current user is owner or not. true means current user is owner, and false means current user is not owner.
| key_length
| The key length, in bytes. For SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.
| sub_filter
| The sub filter name that specifies the syntax of the encryption dictionary contents.
| user_permissions
| The user permissions. Please refer to values starting from PDFDoc.e_PermPrint and this can be one or combination of these values.

## Detailed Description

This class represents some data used for class DRMSecurityHandler.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

DRMEncryptData.constructor | ( | is_encrypt_metadata | ,
|  | sub_filter | ,
|  | cipher | ,
|  | key_length | ,
|  | is_owner | ,
|  | user_permissions |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler.e_CipherRC4 and this should be one of these values except SecurityHandler.e_CipherNone.
  [in] | key_length | The key length, in bytes. For SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.
  [in] | is_owner | true means current user is owner, and false means current user is not owner.
  [in] | user_permissions | The user permissions. Please refer to values starting from PDFDoc.e_PermPrint and this can be one or combination of these values.

## ◆ Set()

DRMEncryptData.Set | ( | is_encrypt_metadata | ,
|  | sub_filter | ,
|  | cipher | ,
|  | key_length | ,
|  | is_owner | ,
|  | user_permissions |
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler.e_CipherRC4 and this should be one of these values except SecurityHandler.e_CipherNone.
  [in] | key_length | The key length, in bytes. For SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.
  [in] | is_owner | true means current user is owner, and false means current user is not owner.
  [in] | user_permissions | The user permissions. Please refer to values starting from PDFDoc.e_PermPrint and this can be one or combination of these values.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.